#!/bin/bash
# install packages I need
sudo apt update
sudo apt install -y \
xserver-xorg                 `# for graphics` \
i3                           `# for graphics` \
x11-xserver-utils            `# for graphics` \
brightnessctl                `# for keyboard backlight` \
xcompmgr                     `# for st opacity` \
mate-backgrounds             `# for background` \
xwallpaper                   `# for background` \
pulseaudio                   `# for sound` \
pavucontrol                  `# for audio control` \
pasystray                    `# for audio control` \
iputils-ping                 `# ping etc.` \
neovim                       `# console editor` \
psmisc                       `# pstree etc.` \
software-properties-common   `# manage repos (needed for nvidia-drivers installation)` \
chromium \
telegram-desktop \
python3 \
python3-venv 

cat > ~/.xinitrc << EOL
dbus-update-activation-environment --systemd DBUS_SESSION_BUS_ADDRESS DISPLAY XAUTHORITY & # because of slow Telegram start
xcompmgr & # for st opacity
image=$(find /usr/share/backgrounds/mate/nature/ -type f | sort --random-sort | head -1)
xwallpaper --stretch $image
conky &
i3
EOL

sudo add-apt-repository contrib non-free-firmware
sudo apt update
sudo apt install linux-headers-amd64 nvidia-driver linux-image-amd64


for tool in create_systemd_service.py create_systemd_timer.py set_brightness.sh
do    
  if ! command -v $tool &> /dev/null
  then
    sudo cp $tool /usr/local/bin
  fi  
done

git config --global user.name "Digital Studium"
git config --global user.email "digitalstudium001@gmail.com"

sudo timedatectl set-timezone Europe/Moscow

sudo bash -c "echo 'PATH=\$PATH:\$(find /opt/ -executable -type f | grep -v \.so | xargs dirname | uniq | paste -s -d : | xargs -I _ echo _)' > /etc/profile.d/opt.sh"

